summaryrefslogtreecommitdiff
path: root/tests/openpgp/sigs.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/sigs.test')
-rwxr-xr-xtests/openpgp/sigs.test45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/openpgp/sigs.test b/tests/openpgp/sigs.test
new file mode 100755
index 0000000..86b0cdc
--- /dev/null
+++ b/tests/openpgp/sigs.test
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Copyright 1998,1999,2000,2001,2002,2003,2004,2005,2006,
+# 2007 Free Software Foundation, Inc.
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved. This file is
+# distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY, to the extent permitted by law; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. $srcdir/defs.inc || exit 3
+
+for i in $plain_files $data_files; do
+ echo "$usrpass1" | $GPG --passphrase-fd 0 -s -o x --yes $i
+ $GPG -o y --yes x
+ cmp $i y || error "$i: mismatch"
+done
+
+for da in `all_hash_algos` ; do
+ echo_n "$da "
+
+ # RSA key, so any hash is okay
+ if have_pubkey_algo "RSA"; then
+ for i in $plain_files; do
+ $GPG -u $usrname3 --digest-algo $da -s -o x --yes $i
+ $GPG -o y --yes x
+ cmp $i y || error "$i: mismatch"
+ # process only the first one
+ break
+ done
+ fi
+
+ # Using the DSA sig key - only 160 bit or larger hashes
+ if test $da != "MD5"; then
+ for i in $plain_files; do
+ echo "$usrpass1" | $GPG --passphrase-fd 0 --digest-algo $da \
+ -s -o x --yes $i
+ $GPG -o y --yes x
+ cmp $i y || error "$i: mismatch"
+ # process only the first one
+ break
+ done
+ fi
+done
+echo_n "| "